### Hierarchy

- SessionProperties

## Index

### Properties

- customSessionId
- defaultCustomLayout
- defaultRecordingLayout
- mediaMode
- recordingMode

## Properties

### Optional customSessionId

customSessionId: string

- Defined in SessionProperties.ts:52

Fix the sessionId that will be assigned to the session with this parameter. You can take advantage of this property to facilitate the mapping between OpenVidu Server 'session' entities and your own 'session' entities. If this parameter is undefined or an empty string, OpenVidu Server will generate a random sessionId for you.

### Optional defaultCustomLayout

defaultCustomLayout: string

- Defined in SessionProperties.ts:45

Default value used to initialize property RecordingProperties.customLayout of every recording of this session. You can easily override this value later by setting RecordingProperties.customLayout to any other value

### Optional defaultRecordingLayout

defaultRecordingLayout: RecordingLayout

- Defined in SessionProperties.ts:39

Default value used to initialize property RecordingProperties.recordingLayout of every recording of this session. You can easily override this value later by setting RecordingProperties.recordingLayout to any other value

### Optional mediaMode

mediaMode: MediaMode

- Defined in SessionProperties.ts:28

How the media streams will be sent and received by your clients: routed through OpenVidu Media Server (`MediaMode.ROUTED`) or attempting direct p2p connections (`MediaMode.RELAYED`, not available yet)

### Optional recordingMode

recordingMode: RecordingMode

- Defined in SessionProperties.ts:33

Whether the Session will be automatically recorded (`RecordingMode.ALWAYS`) or not (`RecordingMode.MANUAL`)

Generated using TypeDoc